# Record TCefThread

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefThread = record`

## Description

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This structure should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

NOTE: This struct is allocated DLL-side.

Implemented by ICefThread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_thread_capi.h">CEF source file: /include/capi/cef_thread_capi.h (cef_thread_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_task_runner: function(self: PCefThread): PCefTaskRunner; stdcall;`
| `get_platform_thread_id: function(self: PCefThread): TCefPlatformThreadId; stdcall;`
| `stop: procedure(self: PCefThread); stdcall;`
| `is_running: function(self: PCefThread): integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_task_runner: function(self: PCefThread): PCefTaskRunner; stdcall;`
This item has no description.

| `get_platform_thread_id: function(self: PCefThread): TCefPlatformThreadId; stdcall;`
This item has no description.

| `stop: procedure(self: PCefThread); stdcall;`
This item has no description.

| `is_running: function(self: PCefThread): integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.